Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.optimistic
Interface WorkspaceNode

All Superinterfaces:
  TreeNode

All Known Implementing Classes:
  WorkspaceNodeImpl

    public interface WorkspaceNode

extends TreeNode

Represents a type of `Node` that is to be copied into a `TransactionWorkspace` for optimistically locked nodes. Adds versioning and dirty flags over conventional Nodes.

Author:
  Manik Surtani (manik@jboss.org), Steve Woodcock (stevew@jofti.com)

Method Summary
`TreeNode` | `createChild(java.lang.Object child_name, Fqn fqn, TreeNode parent, TreeCache cache, DataVersion version)`
`java.util.Set` | `getChildrenNames()`
`java.util.Set` | `getKeys()`
`java.util.Map` | `getMergedChildren()`
`java.util.Map` | `getMergedData()`
`DataNode` | `getNode()`
`TransactionWorkspace` | `getTransactionWorkspace()`
`DataVersion` | `getVersion()`
`boolean` | `isCreated()`
`boolean` | `isDeleted()`
`boolean` | `isDirty()`
`void` | `markAsCreated()`
`void` | `markAsDeleted()`
`void` | `setVersion(DataVersion version)`

Methods inherited from interface org.jboss.cache.TreeNode
`acquireAll, addChild, childExists, clear, containsKey, createChild, createChild, get, getChild, getChildren, getChildrenLoaded, getData, getDataKeys, getFqn, getImmutableLock, getLock, getName, getOrCreateChild, getParent, hasChildren, isLocked, numAttributes, print, printDetails, printIndent, printLockInfo, put, put, put, release, releaseAll, releaseAllForce, releaseForce, remove, removeAllChildren, removeChild, setChildren, setChildrenLoaded, setRecursiveTreeCacheInstance`

Method Detail

### getMergedChildren

    java.util.Map getMergedChildren()

### getVersion

    DataVersion getVersion()

### setVersion

    void setVersion(DataVersion version)

### getKeys

    java.util.Set getKeys()

### isDirty

    boolean isDirty()

### getMergedData

    java.util.Map getMergedData()

### getNode

    DataNode getNode()

### getChildrenNames

    java.util.Set getChildrenNames()

### isDeleted

    boolean isDeleted()

### markAsDeleted

    void markAsDeleted()

### getTransactionWorkspace

    TransactionWorkspace getTransactionWorkspace()

### isCreated

    boolean isCreated()

### markAsCreated

    void markAsCreated()

### createChild

    TreeNode createChild(java.lang.Object child_name,
                         Fqn fqn,
                         TreeNode parent,
                         TreeCache cache,
                         DataVersion version)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.